#include <qapplication.h>
#include <qpushbutton.h>
#include <qlcdnumber.h>
#include <qfont.h>
#include <qlayout.h>
#include <stdlib.h>
#include <time.h>

#include "lcdrange.h"
#include "platno.h"

class MyWidget: public QWidget
{ public: MyWidget(QWidget *parent=0, const char *name=0); };

MyWidget::MyWidget( QWidget *parent, const char *name ) : QWidget( parent, name )
{
    QPushButton *quit = new QPushButton( "Quit", this, "quit" );
    quit->setFont( QFont( "Times", 18, QFont::Bold ) );
    
    QPushButton *compute = new QPushButton( "Compute", this, "compute" );
    compute->setFont( QFont( "Times", 18, QFont::Bold ) );

//    QPushButton *redraw = new QPushButton( "Redraw", this, "redraw" );
//    redraw->setFont( QFont( "Times", 18, QFont::Bold ) );

    Platno *platno = new Platno(this,"platno");

    connect( quit, SIGNAL(clicked()), qApp, SLOT(quit()) );
    connect( compute, SIGNAL(clicked()), platno, SLOT(computeWholeMap()) );

    QGridLayout *grid = new QGridLayout( this, 1, 2, 10 );
    QGridLayout *toolbar = new QGridLayout ( this, 2, 1, 10 );

    grid->addLayout(toolbar, 0, 0);
    grid->addWidget( platno, 0, 1 );
    grid->setColStretch( 1, 10 );
    
    toolbar->addWidget( quit, 0, 0 );
    toolbar->addWidget( compute, 1, 0, Qt::AlignTop );
//    toolbar->addWidget( redraw, 2, 0 );
}

int main( int argc, char **argv )
{
  time_t t;
 
  time(&t);
  srand(t);

  QApplication a( argc, argv );

  MyWidget w;
  w.setGeometry( 100, 100, 500, 355 );
  a.setMainWidget( &w );
  w.show();
  return a.exec();
}
